Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class ADAPTER

    java.lang.Object
      ADAPTER

     class ADAPTER

extends java.lang.Object

Gibt die Botschaften der OberflŠche an den Supermarkt weiter

Version:
  1.0
Author:
  Albert Wiedemann

Field Summary
`(package private) SUPERMARKT` | `s`
`(package private) TAKTGEBER` | `t`

Constructor Summary
`ADAPTER(SUPERMARKT s, TAKTGEBER t)` Besetzt die Attribute

Method Summary
`(package private) void` | `Anhalten()` Timer anhalten
`(package private) void` | `DauerSetzen(int dauer)` Taktimpulsabtand einstellen
`(package private) void` | `KasseOeffnen(int nr)` …ffnet die angegebene Kasse.
`(package private) void` | `KasseSchliessen(int nr)` Schlie§t die angegebene Kasse nach Bedienung der Restschlange.
`void` | `KundenabstandSetzen(int zeit)` Setzt die mittlere Wartezeit zwischen 2 Kunden
`(package private) void` | `Starten()` Timer starten

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s

    SUPERMARKT s

### t

    TAKTGEBER t

Constructor Detail

### ADAPTER

    ADAPTER(SUPERMARKT s,
            TAKTGEBER t)

  Besetzt die Attribute

Method Detail

### Anhalten

    void Anhalten()

  Timer anhalten

### DauerSetzen

    void DauerSetzen(int dauer)

  Taktimpulsabtand einstellen

  Parameters:
    `dauer` - Impulsabstand in Millisekunden

### KasseOeffnen

    void KasseOeffnen(int nr)

  …ffnet die angegebene Kasse.

  Parameters:
    `nr` - Nummer der zu šffnenden Kasse.

### KasseSchliessen

    void KasseSchliessen(int nr)

  Schlie§t die angegebene Kasse nach Bedienung der Restschlange.

  Parameters:
    `nr` - Nummer der zu schlie§enden Kasse.

### KundenabstandSetzen

    public void KundenabstandSetzen(int zeit)

  Setzt die mittlere Wartezeit zwischen 2 Kunden

  Parameters:
    `zeit` - mittlere Wartezeit

### Starten

    void Starten()

  Timer starten

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD